get-campaign-event-export-result
curl --request GET \
--url https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "E252EB67-48E3-49DC-866D-F8C26161230D",
"user_id": "user_12345",
"notifly_user_id": "notifly_user_abcde",
"device_id": "ios_device_98765",
"notifly_device_id": "notifly_device_xyz",
"channel": "push_notification",
"event_name": "send_success",
"failure_reason": null,
"resource_title": "6월 신규 혜택 안내",
"resource_type": "campaign",
"campaign_id": "camp_202406_promo",
"experiment_group_name": "A",
"user_journey_id": null,
"user_journey_node_id": null,
"time": "1749373994000000",
"message_data": {
"title": "지금 확인하고 혜택 받기!",
"body": "6월 신규 회원님만을 위한 특별 이벤트 🎁",
"link": "link://link/feed?id=1243"
},
"channel_metadata": {
"channel_subtype": "image",
"brand_message_target": null
}
}
],
"total_page_count": 1
}{
"status": "processing",
"message": "Data is being generated."
}{
"status": "not_found",
"message": "The specified project_id and export_id could not be found."
}{
"error": "Timeout"
}{
"status": "invalid_page",
"message": "The requested page does not exist."
}{
"status": "error",
"message": "An error occurred while processing the data."
}メッセージイベントのエクスポート
エクスポートしたキャンペーンイベントを取得する
エクスポートのリクエストから返されたexport_idを使って結果を取得します。1ページあたり最大1,000件です。
GET
/
projects
/
{projectId}
/
campaign-event-data
/
exports
/
{exportId}
/
result
get-campaign-event-export-result
curl --request GET \
--url https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports/{exportId}/result")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "E252EB67-48E3-49DC-866D-F8C26161230D",
"user_id": "user_12345",
"notifly_user_id": "notifly_user_abcde",
"device_id": "ios_device_98765",
"notifly_device_id": "notifly_device_xyz",
"channel": "push_notification",
"event_name": "send_success",
"failure_reason": null,
"resource_title": "6월 신규 혜택 안내",
"resource_type": "campaign",
"campaign_id": "camp_202406_promo",
"experiment_group_name": "A",
"user_journey_id": null,
"user_journey_node_id": null,
"time": "1749373994000000",
"message_data": {
"title": "지금 확인하고 혜택 받기!",
"body": "6월 신규 회원님만을 위한 특별 이벤트 🎁",
"link": "link://link/feed?id=1243"
},
"channel_metadata": {
"channel_subtype": "image",
"brand_message_target": null
}
}
],
"total_page_count": 1
}{
"status": "processing",
"message": "Data is being generated."
}{
"status": "not_found",
"message": "The specified project_id and export_id could not be found."
}{
"error": "Timeout"
}{
"status": "invalid_page",
"message": "The requested page does not exist."
}{
"status": "error",
"message": "An error occurred while processing the data."
}ページネーションこのAPIはページベースのページネーションを使用します。
- ページ番号: 0から始まる整数です。
- ページサイズ: 1ページあたり最大1,000件のイベントデータです。
- 総ページ数:
total_page_countフィールドで返されます。 - データがある場合の有効なページ範囲: 0から(total_page_count - 1)までです。
data配列と値が0のtotal_page_countが返されます。チャネル別のメッセージデータ対応条件push-notification以外のチャネルでは、message_data列は2025-07-18以降のデータでのみ利用できます。in-app-messageとin-web-messageチャネルでは、以下のバージョン以降のSDKも必要です。
- iOS SDK: 1.17.2
- Android SDK: 1.18.1
- React Native SDK: 3.10.1
- JavaScript SDK: 2.17.4
メッセージデータの例
- text-message
- email
- kakao-friendtalk
- kakao-alimtalk
- kakao-brand-message (基本型)
- kakao-brand-message (自由型)
- in-app-message
- in-web-message
- web-push-notification
- webhook
{
"requestId": "リクエストID",
"requestDate": "YYYY-MM-DD HH:mm:ss",
"templateId": "テンプレートID",
"title": "メッセージの件名",
"body": "本文の内容",
"sendNo": "07000000000",
"recipientNo": "01012345678",
"messageType": "MMS",
"countryCode": "82",
"adYn": "N",
"attachFileList": [
{
"fileId": 123456789,
"fileName": "image.jpg",
"filePath": "/path/to/image/",
"saveFileName": "saved.jpg",
"uploadType": "TEMPORARY"
}
]
}
{
"title": "メール件名",
"body": {
"html": "<html><body><p>メール本文</p></body></html>",
"text": "内容"
}
}
{
"plusFriendId": "@チャネル名",
"senderKey": "発信キー",
"recipientNo": "01012345678",
"content": "メッセージの内容",
"buttons": [
{
"ordering": 1,
"type": "WL",
"name": "ボタン名",
"linkMo": "https://m.example.com",
"linkPc": "https://example.com",
"schemeIos": "",
"schemeAndroid": ""
}
],
"isAd": true
}
{
"plusFriendId": "@チャネル名",
"senderKey": "発信キー",
"recipientNo": "01012345678",
"templateCode": "テンプレートコード",
"content": "[ブランド] メッセージ本文",
"templateExtra": "補足案内",
"buttons": [
{
"ordering": 1,
"type": "WL",
"name": "ボタン名",
"linkMo": "https://m.example.com",
"linkPc": "https://example.com"
}
]
}
含まれるフィールドは
messageTypeによって異なります。{
"messageType": "COMMERCE",
"content": "サンプル利用者へのおすすめ商品です。",
"imageUrl": "https://example.com/product.png",
"commerce": {
"title": "おすすめ商品",
"regularPrice": "10000",
"discountPrice": "9000",
"discountRate": "10"
},
"buttons": [
{
"name": "商品を見る",
"linkType": "WL",
"linkMobile": "https://example.com/products/1"
}
]
}
{
"chatBubbleType": "WIDE_ITEM_LIST",
"header": "おすすめ商品",
"attachment": {
"item": {
"list": [
{
"imgUrl": "https://mud-kage.kakao.com/example/product-1.jpg",
"urlMobile": "https://example.com/products/1"
},
{
"title": "2つ目の商品",
"imgUrl": "https://mud-kage.kakao.com/example/product-2.jpg",
"urlMobile": "https://example.com/products/2"
},
{
"title": "3つ目の商品",
"imgUrl": "https://mud-kage.kakao.com/example/product-3.jpg",
"urlMobile": "https://example.com/products/3"
}
]
},
"button": [
{
"name": "もっと見る",
"type": "WL",
"urlMobile": "https://example.com/products"
}
]
}
}
{
"templateName": "テンプレート名"
}
{
"templateName": "テンプレート名"
}
{
"notifly": {
"ti": "件名",
"bd": "本文",
"cid": "キャンペーンID",
"mid": "メッセージID",
"u": "https://your-link.com",
"ic": "https://your-icon.png",
"bg": "#ffffff",
"im": "https://your-image.jpg",
"sd": "/push-sound.mp3",
"tg": "notifly-push-notification",
"vb": [200, 100, 200],
"ri": false,
"data": {},
"ac": [
{ "action": "click", "title": "Go to Link" },
{ "action": "close", "title": "Close" }
]
}
}
{
"url": "https://your.webhook.endpoint",
"method": "POST",
"headers": {
"Content-Type": "application/json"
},
"data": "{ \"key\": \"value\" }"
}
